
package com.kingdee.eas.custom.dormitorysystem.application.web;

import org.operamasks.faces.annotation.ManagedBean;
import org.operamasks.faces.annotation.ManagedBeanScope;

import com.kingdee.bos.util.BOSUuid;

import com.kingdee.bos.waf.winlet.edit.BillEntryBean;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.dormitorysystem.application.CheckInApplicationEntryInfo;

public abstract class AbstractCheckInApplicationEntryBean extends BillEntryBean {
	@Override
	public CoreBaseInfo createNewEntry() {
		CheckInApplicationEntryInfo info = new CheckInApplicationEntryInfo();
		info.setId(BOSUuid.create(info.getBOSType()));
		return info;
	}
}

